Bug 976589 - Wrong Default for disable-audit Setting
Wrong Default for disable-audit Setting
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: GA
: EAP 6.3.0
Assigned To: Misha H. Ali
Russell Dickenson
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 19:17 EDT by Fernando Ribeiro
Modified: 2014-08-14 11:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.8 Build Name: 13944, Security Guide-6.1-1 Build Date: 19-04-2013 15:46:54
Last Closed: 2014-08-06 10:35:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Ribeiro 2013-06-20 19:17:12 EDT
Title: jboss-web.xml Configuration Reference

Describe the issue:

The guide incorrectly says that the default for disable-audit is false, when it is actually true.

Suggestions for improvement:

Fix the guide.

Additional information:

N/A
Comment 3 Josef Cacek 2014-02-24 02:41:48 EST
The element <disable-audit> is not supposed to be empty. It has boolean type

jboss-web_7_1.xsd:
   <xsd:complexType name="disable-auditType">
      <xsd:annotation>
         <xsd:documentation>
            The disable-audit element specifies if the security audit logging
            should be disabled.
         </xsd:documentation>
      </xsd:annotation>
      <xsd:simpleContent>
         <xsd:restriction base="javaee:generic-booleanType"/>
      </xsd:simpleContent>
   </xsd:complexType>

To enable auditing for the web application, user has to put following line to the jboss-web.xml:

  <disable-audit>false</disable-audit>
Comment 5 Scott Mumford 2014-02-26 00:13:05 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 6 Scott Mumford 2014-02-26 00:15:26 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 7 Josef Cacek 2014-02-27 04:24:05 EST
Verified on stage.

Note You need to log in before you can comment on or make changes to this bug.